Skip to main content
POST
Run a SQL SELECT across the datasets

Authorizations

Authorization
string
header
required

A Dataville API key, sent as Authorization: Bearer dataville_.... Clients that cannot set headers may pass the same key as ?token=.

Body

application/json
sql
string
required

A single SELECT statement.

Maximum string length: 10000
Example:

"SELECT title, author FROM gutenberg LIMIT 10"

datasetIds
string[]

Ids of the caller's connected sheets to make available to the query.

Response

Query results.

status
string
Example:

"success"

row_count
integer
Example:

10

rows
object[]
sql_executed
string
available_tables
string[]
usage
object